#include <QList>
#include <QString>

#ifndef FILEDATA_H
#define FILEDATA_H

struct FileData
{
    QString path;
    QString hash;

    bool operator==(const FileData& other)const
    {
        if(this->path==(other.path)) return true;
        return false;
    }

    bool operator<(const FileData& data2) const
    {
        return this->hash == "FOLDER" && data2.hash !="FOLDER";
    }

};   //путь

struct SAttribute
{
    QString name;
    QString value;

};

struct SXmlAnswerTag{
    QString elementName;
    QList<SAttribute> attr;
};

#endif // FILEDATA_H

